Subject: 30.0.50; Small issues with defcustoms in ERC

From: Mauro Aranda <[email-masked]>
Date: Fri, 13 Oct 2023 10:33:08 -0300

Looking for defcustom docstrings and :type inconsistencies, I found the
following in erc/:

The docstring of erc-fill-variable-maximum-indentation says its value
can be nil, but its :type is just integer.

The choices in erc-keep-place-indicator-style look like a copy-pasta
from erc-keep-place-indicator-buffer-type.  The docstring matches what
the code checks, so I guess the choices are wrong.

Finally, erc-networks-alist says that MATCHER can be either a regexp or
a function.  But neither erc-determine-network (obsoleted) nor
erc-networks--determine check to see if MATCHER is a function. So maybe
that isn't supported?